Bug 1036385 - Certtool generates x509 certificates which contain negative modulus
Summary: Certtool generates x509 certificates which contain negative modulus
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gnutls
Version: 6.5
Hardware: x86_64
OS: Linux
high
urgent
Target Milestone: rc
: ---
Assignee: Nikos Mavrogiannopoulos
QA Contact: Stanislav Zidek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-01 19:40 UTC by Pavel Y Odintsov
Modified: 2015-07-22 06:02 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Under certain circumstances, certtool may generate X.509 certificates which contain negative modulus. Consequence: Generated certificates may have interoperation issues with software using them. Fix: Certtool will no longer generate X.509 certificate which contain a negative modulus.
Clone Of:
Environment:
Last Closed: 2015-07-22 06:02:20 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1457 normal SHIPPED_LIVE Moderate: gnutls security and bug fix update 2015-07-21 14:15:08 UTC

Description Pavel Y Odintsov 2013-12-01 19:40:06 UTC
Description of problem:

Certtool generates x509 keys with negative modulus, please read this conversation:  http://code.google.com/p/go/issues/detail?id=6837&q=gnutls&colspec=ID%20Status%20Stars%20Priority%20Owner%20Reporter%20Summary


Version-Release number of selected component (if applicable):
gnutls-utils-2.8.5-10.el6_4.2.x86_64


cat /etc/redhat-release 
CentOS release 6.4 (Final)

Comment 12 errata-xmlrpc 2015-07-22 06:02:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1457.html


Note You need to log in before you can comment on or make changes to this bug.